scala.tools.nsc.ast.parser.Scanners

# ScannerData

#### trait ScannerData extends TokenData with CharArrayReaderData

An interface to most of mutable data in Scanner defined in TokenData and CharArrayReader (+ next, prev fields) with copyFrom functionality to backup/restore data (used by quasiquotes' lookingAhead).

Source
  Scanners.scala

Linear Supertypes
CharArrayReaderData, TokenData, Scanners.CommonTokenData, AnyRef, Any
Known Subclasses
ParensAnalyzer, Scanner, SourceFileScanner, UnitScanner
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ScannerData
2. CharArrayReaderData
3. TokenData
4. CommonTokenData
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ScannerData to any2stringadd[ScannerData] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ScannerData, B)

   Implicit information
     This member is added by an implicit conversion from ScannerData to ArrowAssoc[ScannerData] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### var base: Int

   the base of a number

   the base of a number

   Definition Classes
     TokenData

8. #### var ch: Char

   the last read character

   the last read character

   Definition Classes
     CharArrayReaderData

9. #### var charOffset: Int

   The offset one past the last read character

   The offset one past the last read character

   Definition Classes
     CharArrayReaderData

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def copyFrom(sd: ScannerData): ScannerData.this.type

12. #### def copyFrom(cd: CharArrayReaderData): ScannerData.this.type

    Definition Classes
      CharArrayReaderData

13. #### def copyFrom(td: TokenData): ScannerData.this.type

    Definition Classes
      TokenData

14. #### def ensuring(cond: (ScannerData) ⇒ Boolean, msg: ⇒ Any): ScannerData

    Implicit information
      This member is added by an implicit conversion from ScannerData to Ensuring[ScannerData] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: (ScannerData) ⇒ Boolean): ScannerData

    Implicit information
      This member is added by an implicit conversion from ScannerData to Ensuring[ScannerData] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean, msg: ⇒ Any): ScannerData

    Implicit information
      This member is added by an implicit conversion from ScannerData to Ensuring[ScannerData] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: Boolean): ScannerData

    Implicit information
      This member is added by an implicit conversion from ScannerData to Ensuring[ScannerData] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

20. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

21. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from ScannerData to StringFormat[ScannerData] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

22. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

23. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### var lastLineStartOffset: Int

    The start offset of the line before the current one

    The start offset of the line before the current one

    Definition Classes
      CharArrayReaderData

26. #### var lastOffset: Scanners.Offset

    the offset of the character following the token preceding this one

    the offset of the character following the token preceding this one

    Definition Classes
      TokenData

27. #### var lastUnicodeOffset: Int

    Attributes
      protected
    Definition Classes
      CharArrayReaderData

28. #### var lineStartOffset: Int

    The start offset of the current line

    The start offset of the current line

    Definition Classes
      CharArrayReaderData

29. #### var name: Global.TermName

    the name of an identifier

    the name of an identifier

    Definition Classes
      TokenData → CommonTokenData

30. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

31. #### val next: TokenData

    we need one token lookahead and one token history

32. #### final def notify(): Unit

    Definition Classes
      AnyRef

33. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

34. #### var offset: Scanners.Offset

    the offset of the first character of the current token

    the offset of the first character of the current token

    Definition Classes
      TokenData

35. #### val prev: TokenData

36. #### var strVal: String

    the string value of a literal

    the string value of a literal

    Definition Classes
      TokenData

37. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

38. #### def toString(): String

    Definition Classes
      AnyRef → Any

39. #### var token: Scanners.Token

    the next token

    the next token

    Definition Classes
      TokenData → CommonTokenData

40. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### def →[B](y: B): (ScannerData, B)

    Implicit information
      This member is added by an implicit conversion from ScannerData to ArrowAssoc[ScannerData] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from CharArrayReaderData

### Inherited from TokenData

### Inherited from Scanners.CommonTokenData

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ScannerData to any2stringadd[ScannerData]

### Inherited by implicit conversion StringFormat from ScannerData to StringFormat[ScannerData]

### Inherited by implicit conversion Ensuring from ScannerData to Ensuring[ScannerData]

### Inherited by implicit conversion ArrowAssoc from ScannerData to ArrowAssoc[ScannerData]

### Ungrouped